Unit tde43e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE43E_p, DE43E_p;

function tde43e: String;

implementation

function tde43e: String;
var
M,K,IERR :Integer;
P,HMAX,Y1,Y2,Y3,H,HMIN,EPS,XN,XK :Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
DELTY :Array [0..1] of Extended;
DF :Array [0..9] of Extended;
RFN :Array [0..1] of Extended;
RF :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
DYP :Array [0..1] of Extended;
label
_200,_20;
begin
Result := '';  {   }
H := 0.01e0;
HMIN := 1.e-10;
M := 2;
XN := 0.e0;
XK := 5.e0;
YN[0] := 0.e0;
YN[1] := 0.e0;
DYN[0] := -1.e0/9.e0;
DYN[1] := -3.e0;
EPS := 0.0001e0;
Y3 := (Exp(5.e0)-Exp(-5.e0))/3.e0;
Y1 := Y3-7.e0*Sin(15.e0)/9.e0+70.e0/9.e0;
Y2 := -Y3-Sin(15.e0)/3.e0-20.e0/3.e0;
P := 100.0;
HMAX := 0.1e0;
for K:=1 to 2 do
 begin
  DE43E(FDE43E,M,XN,YN,DYN,XK,HMIN,HMAX,EPS,P,H,Y,DY,DELTY,
       DF,RFN,RF,YP,DYP,IERR);
  Result := Result + Format(' %20.16f %20.16f %20.16f  %20.16f  %20.16f  %20.16f ',
 [XK,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
  if ( IERR <> 0 ) 
   then goto _20;
  XK := -5.e0;
  Y1 := -Y1;
  Y2 := -Y2;
  H := 0.01e0;
_200:
 end;
_20:
UtRes('tde43e',Result);  {     tde43e.res }
exit;
end;

end.
